> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Grants

> Returns cursor-paginated non-SCP grants for an org with option/exercise details computed per grant.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-grants
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-grants:
    post:
      operationId: getGrants
      summary: Get Grants
      description: >-
        Returns cursor-paginated non-SCP grants for an org with option/exercise
        details computed per grant.


        Not available to API keys yet. It will need `grants:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetGrantsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGrantsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetGrantsRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
        cursor:
          type: object
          properties:
            grantDate:
              type: string
              format: date-time
            grantID:
              type: string
              format: uuid
          required:
            - grantDate
            - grantID
        limit:
          type: integer
          minimum: 1
          maximum: 20
    GetGrantsResponse:
      type: object
      properties: {}
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
